com.corticon.rulesemf.operationsmodel

## Interface ExtendedOperatorSet

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ExtendedOperatorSet
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Extended Operator Set'.

  The following features are supported:

  - `Language Code`
  - `Stand Alone Folder Name`
  - `Stand Alone Extensions`
  - `Type Extensions`
  - `Service Callouts`
  See Also:
    `OperationsmodelPackage.getExtendedOperatorSet()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getLanguageCode()` Returns the value of the 'Language Code' attribute list.
    `org.eclipse.emf.common.util.EList` | `getServiceCallouts()` Returns the value of the 'Service Callouts' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getStandAloneExtensions()` Returns the value of the 'Stand Alone Extensions' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getStandAloneFolderName()` Returns the value of the 'Stand Alone Folder Name' attribute list.
    `org.eclipse.emf.common.util.EList` | `getTypeExtensions()` Returns the value of the 'Type Extensions' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLanguageCode

          org.eclipse.emf.common.util.EList getLanguageCode()

      Returns the value of the 'Language Code' attribute list. The list contents are of type `LanguageCode`. The literals are from the enumeration `LanguageCode`.

      If the meaning of the 'Language Code' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Language Code' attribute list.
      See Also:
        `LanguageCode`, `OperationsmodelPackage.getExtendedOperatorSet_LanguageCode()`

    - #### getStandAloneFolderName

          org.eclipse.emf.common.util.EList getStandAloneFolderName()

      Returns the value of the 'Stand Alone Folder Name' attribute list. The list contents are of type `String`.

      If the meaning of the 'Stand Alone Folder Name' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Stand Alone Folder Name' attribute list.
      See Also:
        `OperationsmodelPackage.getExtendedOperatorSet_StandAloneFolderName()`

    - #### getStandAloneExtensions

          org.eclipse.emf.common.util.EList getStandAloneExtensions()

      Returns the value of the 'Stand Alone Extensions' containment reference list. The list contents are of type `StandAloneExtension`.

      If the meaning of the 'Stand Alone Extensions' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Stand Alone Extensions' containment reference list.
      See Also:
        `OperationsmodelPackage.getExtendedOperatorSet_StandAloneExtensions()`

    - #### getTypeExtensions

          org.eclipse.emf.common.util.EList getTypeExtensions()

      Returns the value of the 'Type Extensions' containment reference list. The list contents are of type `TypeExtension`.

      If the meaning of the 'Type Extensions' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type Extensions' containment reference list.
      See Also:
        `OperationsmodelPackage.getExtendedOperatorSet_TypeExtensions()`

    - #### getServiceCallouts

          org.eclipse.emf.common.util.EList getServiceCallouts()

      Returns the value of the 'Service Callouts' containment reference list. The list contents are of type `ServiceCallout`.

      If the meaning of the 'Service Callouts' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Service Callouts' containment reference list.
      See Also:
        `OperationsmodelPackage.getExtendedOperatorSet_ServiceCallouts()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.